namespace Blink.Backoffice.Services.PcmDb.Entities;

public partial class Waluta
{
    public decimal WalId { get; set; }

    public string Kod { get; set; } = null!;

    public string Nazwa { get; set; } = null!;

    public decimal Kurs { get; set; }

    public short Znaczenie { get; set; }

    public short Aktywny { get; set; }

    public decimal? Spread { get; set; }

    public decimal? SpreadZak { get; set; }

    public decimal? KursZak { get; set; }

    public decimal? CentrWalId { get; set; }

    public string? Skrot1 { get; set; }

    public string? Skrot100 { get; set; }

    public short? UkrycNaKasie { get; set; }

    public virtual ICollection<DokKurs> DokKurs { get; set; } = new List<DokKurs>();

    public virtual ICollection<Dok> DokWal { get; set; } = new List<Dok>();

    public virtual ICollection<Dok> DokWalIdPlatnosciNavigation { get; set; } = new List<Dok>();

    public virtual ICollection<DokWaluta> DokWaluta { get; set; } = new List<DokWaluta>();

    public virtual ICollection<KontoBankowe> KontoBankowe { get; set; } = new List<KontoBankowe>();

    public virtual ICollection<KontoBankoweKontr> KontoBankoweKontr { get; set; } = new List<KontoBankoweKontr>();

    public virtual ICollection<Kraj> Kraj { get; set; } = new List<Kraj>();

    public virtual ICollection<KursWaluty> KursWaluty { get; set; } = new List<KursWaluty>();

    public virtual ICollection<ParWaluta> ParWaluta { get; set; } = new List<ParWaluta>();

    public virtual ICollection<Paragon> Paragon { get; set; } = new List<Paragon>();

    public virtual ICollection<SklepWaluta> SklepWaluta { get; set; } = new List<SklepWaluta>();
}
